<?php
require_once 'config.php'; 
// ==============================================================
// Final step: finalize the order in your database, show receipt
// ==============================================================
session_start();
try {
    $intent = \Stripe\PaymentIntent::retrieve($_SESSION['payment_intent_id']);
}
catch(\Stripe\Exception\CardException $e) { header("Location: $base_url/payment/fail");die(); }
catch (\Stripe\Exception\RateLimitException $e) { header("Location: $base_url/payment/fail");die(); } 
catch (\Stripe\Exception\InvalidRequestException $e) { header("Location: $base_ur/lpayment/fail");die(); } 
catch (\Stripe\Exception\AuthenticationException $e) { header("Location: $base_url/payment/fail");die(); } 
catch (\Stripe\Exception\ApiConnectionException $e) { header("Location: $base_url/payment/fail");die(); } 
catch (\Stripe\Exception\ApiErrorException $e) { header("Location: $base_url/payment/fail");die(); } 
catch (Exception $e) { header("Location: $base_url/payment/fail");die(); }

if ($intent->status !== 'succeeded') {
    die("Final order step reached, but PaymentIntent status is '{$intent->status}'");
}

// TODO: update your database now that the PaymentIntent is complete and your customer has paid

$link_token = $_POST['link_token'];
$row = file_get_contents("invoice/$link_token.json"); 
$row = json_decode($row, True); 
if(empty($row)){
    die("No Record Found Matching Your Token");
}
else{
	$newfile = 'invoice/'.$link_token.'.json';
    $data = array(              
        'amount' => $row['amount'],
        'currency' => $row['currency'],
        'name' => $row['name'],
        'email' => $row['email'],
        'sales_email' => $row['sales_email'],
        'desc' => $row['desc'],
        'packages' => $row['packages'],
        'payment_status' => 'succeeded',
        'last4' => $row['last4'],
        'txn_id' => $intent['id'],
        'paid_amount' => $intent['amount_received'],
        'paid_currency' => $intent['currency'],
        'fname' => $_POST['fname'],
        'lname' => $_POST['lname'], 
        'phone' => $_POST['phone'],
        'address' => $_POST['address'],
        'address2' => $_POST['address2'],
        'city' => $_POST['city'],
        'zip' => $_POST['zip'],
        'country' => $_POST['country'],
    );
    $data1 = json_encode($data);    
    file_put_contents($newfile, $data1);
    require 'inc/mail.php';
	ob_start();
	include ($payment_recived_template);
	$payment_recived_template = ob_get_clean();
    
	$res = send_mail($payment_email, $payment_recived_subject, $payment_recived_template);
	if(!$res){ 
		throw new Exception('Email sending failed.');
	}
}

// TODO: demo only: reset the session
$_SESSION['link_token'] = null;
$_SESSION['payment_intent_id'] = null;

?>
<body>
    <div class="container col-md-6 py-5">
    <img src="<?php echo $logo?>" class="mb-4" style="width: 300px;">
    <div class="status">
        <p>Payment successfully charged.</p>
        <p>A receipt of this transaction has been sent to your email address on file. </p>
        <p>Please feel free to send us an email at<a href="mailto:<?php echo $payment_email?>"> <?php echo $payment_email?></a> or call us at <a href="tel:<?php echo $no;?>"><?php echo $no;?></a> for billing related queries.</p>
        <p>Thank you for choosing <a href="<?php echo $base_url?>"><?php echo $bname?></a>.</p>
    </div>
</div>
</body>
</html>